import MainLayout from '@/layout/main/MainLayout.vue';

const router = {
    path: '/devices',
    component: MainLayout,
    name: '/devices',
    redirect: '/devices/basic',
    meta: {
        title: '设备管理',
        icon: 'table',
        routerGuard: true,
        i18n:`设备管理`
    },
    children: [{
      path: 'basic',
      name: '/devices/basic',
      component: () => import(/* webpackChunkName: "list" */ '@/views/list/devicesBasic.vue'),
      meta: {
        title: '设备配置',
        routerGuard: true,
        i18n:`menu.list.devicesBasic`
      },
    },
    {
    path: 'devicesVersion',
    name: '/devices/devicesVersion',
    component: () => import(/* webpackChunkName: "list" */ '@/views/list/devicesVersion.vue'),
    meta: {
        title: '型号配置',
        routerGuard: true,
        i18n:`menu.list.devicesVersion`
    },
    },
    {
    path: 'devicesMonitorPoint',
    name: '/devices/devicesMonitorPoint',
    component: () => import(/* webpackChunkName: "list" */ '@/views/list/devicesMonitorPoint.vue'),
    meta: {
        title: '监测站点管理',
        routerGuard: true,
        i18n:`menu.list.devicesMonitorPoint`
    },
    }],
  };

export default router;
